// paragraphs
@mixin paragraph-p1 {
    font-size: 18px;
    line-height: 24px;
}

@mixin paragraph-p2 {
    font-size: 16px;
    line-height: 20px;
}

@mixin paragraph-p3 {
    font-size: 14px;
    line-height: 18px;
}

@mixin paragraph-p4 {
    font-size: 12px;
    line-height: 16px;
}

// headings
@mixin h1 {
    font-size: 90px;
    line-height: 81px;
}

@mixin h2 {
    font-size: 72px;
    line-height: 64.8px;
}

@mixin h3 {
    font-size: 48px;
    line-height: 52px;
}

@mixin h4 {
    font-size: 32px;
    line-height: 38px;
}

@mixin h5 {
    font-size: 24px;
    line-height: 32px;
}

// titles
@mixin title-1 {
    font-size: 20px;
    line-height: 24px;
    font-weight: 500;
}

@mixin title-2 {
    font-size: 18px;
    line-height: 22px;
}

@mixin title-3 {
    font-size: 16px;
    line-height: 20px;
}

// captions
@mixin caption-1 {
    font-size: 14px;
    line-height: 16px;
}

@mixin caption-1m {
    font-size: 14px;
    line-height: 16px;
    font-weight: 500;
}

@mixin caption-2 {
    font-size: 12px;
    line-height: 16px;
    font-weight: 400;
}

@mixin caption-2m {
    font-size: 12px;
    line-height: 16px;
    font-weight: 500;
}

@mixin caption-3 {
    font-size: 10px;
    line-height: 12px;
}

@mixin caption-3m {
    font-size: 10px;
    line-height: 12px;
    font-weight: 500;
}

// buttons
@mixin button-1 {
    font-size: 16px;
    line-height: 16px;
    font-weight: 500;
}

@mixin button-2 {
    font-size: 14px;
    line-height: 14px;
    font-weight: 500;
}

@mixin button-3 {
    font-size: 12px;
    line-height: 12px;
    font-weight: 500;
}

// input
@mixin input-1 {
    font-size: 16px;
    line-height: 18px;
    font-weight: 500;
}

// label
@mixin label-1 {
    font-size: 12px;
    line-height: 12px;
    font-weight: 500;
}

@mixin dash-content {
    content: "—";
}
